%global momorel 1
%global gjs_version 1.39.91
%global gobject_introspection_version 1.35.9
%global gtk3_version 3.11.4
%global libgweather_version 3.24

Name:		gnome-weather
Version: 3.24.0
Release: %{momorel}m%{?dist}
Summary:	A weather application for GNOME
Group:          User Interface/Desktops

License:	"GPLv2+ and LGPLv2+ and MIT and CC-BY and CC-BY-SA"
URL:		https://live.gnome.org/Design/Apps/Weather
Source0: http://download.gnome.org/sources/%{name}/3.24/%{name}-%{version}.tar.xz
NoSource: 0

BuildArch:	noarch

BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gjs-devel >= %{gjs_version}
BuildRequires:	glib2-devel
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection >= %{gobject_introspection_version}
BuildRequires:	gtk3-devel >= %{gtk3_version}
BuildRequires:	libgweather-devel >= %{libgweather_version}

Requires:	gdk-pixbuf2
Requires:	gjs >= %{gjs_version}
Requires:	glib2
Requires:	gobject-introspection >= %{gobject_introspection_version}
Requires:	gtk3 >= %{gtk3_version}
Requires:	libgweather >= %{libgweather_version}

%description
gnome-weather is a weather application for GNOME

%package tests
Summary: Tests for the gnome-weather package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description tests
The gnome-weather-tests package contains tests that can be used to verify
the functionality of the installed gnome-weather package.


%prep
%setup -q

%build
%configure --disable-static --enable-installed-tests
%make 

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang org.gnome.Weather

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Weather.Application.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/icons/HighContrast &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    touch --no-create %{_datadir}/icons/HighContrast &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null || :

%files -f org.gnome.Weather.lang
%doc NEWS data/CREDITS
%{_bindir}/gnome-weather
%{_datadir}/appdata/org.gnome.Weather.appdata.xml
%{_datadir}/applications/org.gnome.Weather.Application.desktop
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini
%{_datadir}/icons/hicolor/*/apps/org.gnome.Weather*
%{_datadir}/org.gnome.Weather/

%files tests
%{_libexecdir}/installed-tests/org.gnome.Weather/
%{_datadir}/installed-tests

%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.0-1m)
- update to 3.24.0

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-2m)
- reimport from fedora

* Mon Jun  2 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.12.1-1m)
- import from fedora

